<!-- <template>
    //this is html
</template> -->

<#assign default_header>
import { Subject } from 'rxjs';
import '@/assets/interface/viewState';
import { Environment } from '@/environments/environment';
import ${srfclassname('${view.name}')}Base from './${srffilepath2('${view.getCodeName()}')}-base.vue';
<#if view.getPSAppViewEngines()??>
<#list view.getPSAppViewEngines() as engine>
import ${engine.getEngineType()}Engine from '@/assets/${engine.getEngineCat()?lower_case}/${srffilepath2(engine.getEngineType())}-engine';
</#list>
</#if>
<#if view.getPSControls()??>
<#list view.getPSControls() as ctrl>
<#if ctrl.getControlType() != 'TOOLBAR' && ctrl.getControlType() != 'CONTEXTMENU'>
<#if ctrl.getPSDataEntity?? && ctrl.getPSDataEntity()??>
import view_${ctrl.getName()} from '@/widget/${srffilepath2(ctrl.getPSDataEntity().getCodeName())}/${srffilepath2(ctrl.getCodeName())}-${ctrl.getControlType()?lower_case}/${srffilepath2(ctrl.getCodeName())}-${ctrl.getControlType()?lower_case}.vue';
<#else>
import view_${ctrl.getName()} from '@/widget/app/${srffilepath2(ctrl.getCodeName())}-${ctrl.getControlType()?lower_case}/${srffilepath2(ctrl.getCodeName())}-${ctrl.getControlType()?lower_case}.vue';
</#if>
</#if>
</#list>
</#if>
</#assign>
<#-- 关联组件start -->
<#assign components>
<#if view.getPSControls()??>
<#list view.getPSControls() as ctrl>
<#if ctrl.getControlType() != "TOOLBAR" && ctrl.getControlType() != 'CONTEXTMENU'>
    view_${ctrl.getName()}, 
</#if>
</#list>
</#if>
</#assign>

<script lang="ts">
import { Vue, Component, Prop, Provide, Emit, Watch } from 'vue-property-decorator';
<#if self_header??>
${self_header}
<#else>
${default_header}
</#if>

@Component({
    components: {
<@ibizindent blank=8>
<#if self_components??>
${self_components}
<#else>
${components}
</#if>
</@ibizindent>
    }
})
export default class ${srfclassname('${view.name}')} extends ${srfclassname('${view.name}')}Base {


}
 
</script>

<style lang="less">
// this is less

</style>