<#assign self_content>
    /**
    * Api地址
    *
    * @type {string}
    * @memberof ${srfclassname('${view.name}')}
    */
    public url: string = '${app.getPKGCodeName()?lower_case}/${de.getPSSystemModule().codeName?lower_case}/${de.codeName?lower_case}/';

    /**
     * 返回上一级
     *
     * @memberof ${srfclassname('${view.name}')}
     */
    public close() {
        if(this.isModalMode){
            this.$emit('close',{});
        }else{
            this.$router.go(-1);
        }
    }

    /**
    * 加载审批按钮
    *
    * @memberof ${srfclassname('${view.name}')}
    */
    public loadActionBtns(){
        const arg:any = {};
        if(this.engine.viewdata && this.engine.viewdata.srfkey){
            Object.assign(arg,{srfkey:this.engine.viewdata.srfkey});
        }
        if(this.engine.viewdata && this.engine.viewdata.taskid){
            Object.assign(arg,{taskid:this.engine.viewdata.taskid});
        }
        this.$http.post(this.url+'wflinks',arg).then((response:any)=>{
            if(!response.status || response.status!=200){
                return;
            }
            this.$set(this.containerModel,'wflinks',response.data);
        }).catch((response:any)=>{
            this.$notify({ type: 'danger', message: response.data.message});
        })
    }


    /**
    * 工作流步骤
    *
    * @memberof ${srfclassname('${view.name}')}
    */
    public wf_step(item:any){
        const arg:any = {};
        if(this.$refs.form){
            Object.assign(arg,{args:(this.$refs.form as any).data});
        }
        if(this.engine.viewdata && this.engine.viewdata.srfkey){
            Object.assign(arg,{srfkey:this.engine.viewdata.srfkey});
        }
        if(this.engine.viewdata && this.engine.viewdata.taskid){
            Object.assign(arg,{taskid:this.engine.viewdata.taskid});
        }
        Object.assign(arg,{link:item.id});
        const form = this.$refs.form;
        (form as any).save().then((res:any)=>{
            this.$http.post(this.url+'wflink',arg).then((response:any)=>{
                if(response.data.ret == 0){
                    this.$notify({ type: 'primary', message: item.name+'操作成功'});
                    this.close();
                }
            }).catch((error:any)=>{
                this.$notify({ type: 'primary', message: item.name+'操作失败'});
            })
        }).catch((error:any)=>{
            this.$notify({ type: 'danger', message: '错误,' + error.data.message });
        })
    }

</#assign>
<#assign mounted_block>
    this.loadActionBtns();
</#assign>