<#assign self_content>

    /**
    * 用户名
    *
    * @type {string}
    * @memberof ${srfclassname('${view.name}')}
    */
    public username: string = "";

    /**
    * 密码
    *
    * @type {string}
    * @memberof ${srfclassname('${view.name}')}
    */
    public password: string = "";

    /**
    * 登录
    *
    * @memberof ${srfclassname('${view.name}')}
    */
    public login(){
      let loginUrl;
      if(Object.is(Environment.LoginModel,'default')){
          loginUrl = Environment.RemoteLogin;
      }else{
          loginUrl = Environment.AppLogin;
      }
      this.$http.post(loginUrl, { loginname: this.username, password: this.password }).then((response:any) =>{
          if (response) {
          if(window.localStorage.getItem('srfloginkey')){
              window.localStorage.removeItem('srfloginkey');
          }
          if(window.localStorage.getItem('userInfo')){
              window.localStorage.removeItem('userInfo');
          }
          //默认登陆方式
          if(Object.is(Environment.LoginModel,'default')){
              //远程登录
              window.localStorage.setItem('srfloginkey', response.loginkey);
          }else{
              //session登录方式
              window.localStorage.setItem('srfloginkey', response.data.token);
          }
          window.localStorage.setItem('userInfo', JSON.stringify(response.data.user));
          if(window.location.hash.indexOf('redirect=') !== -1){
              let  urlIndex= window.location.hash.indexOf('redirect=') + 9;
              this.$router.push(''+decodeURIComponent(window.location.hash.substring(urlIndex)));
          }else{
              this.$router.push('/');
          }
          } else {
          this.$notify({ type: 'danger', message: '登录失败' });
          }
        }).catch((error:any) =>{
            this.$notify({ type: 'danger', message: '登录失败' });
        });
    	}


</#assign>