<#assign self_header>
import { Subject } from 'rxjs';
import '@/assets/interface/viewState';

<#if view.getPSControls()??>
<#list view.getPSControls() as ctrl>
<#if ctrl.getControlType() != 'TOOLBAR' && ctrl.getControlType() != 'CONTEXTMENU'>
<#if ctrl.getPSDataEntity?? && ctrl.getPSDataEntity()??>
import view_${ctrl.getName()} from '@/widget/${srffilepath2(ctrl.getPSDataEntity().getCodeName())}/${srffilepath2(ctrl.getCodeName())}-${ctrl.getControlType()?lower_case}/${srffilepath2(ctrl.getCodeName())}-${ctrl.getControlType()?lower_case}.vue';
<#else>
import view_${ctrl.getName()} from '@/widget/app/${srffilepath2(ctrl.getCodeName())}-${ctrl.getControlType()?lower_case}/${srffilepath2(ctrl.getCodeName())}-${ctrl.getControlType()?lower_case}.vue';
</#if>
</#if>
</#list>
</#if>
</#assign>
<#-- 关联组件start -->
<#assign self_components>
<#if view.getPSControls()??>
<#list view.getPSControls() as ctrl>
<#if ctrl.getControlType() != "TOOLBAR" && ctrl.getControlType() != 'CONTEXTMENU'>
    view_${ctrl.getName()}, 
</#if>
</#list>
</#if>
</#assign>

<#assign mounted_block>
<#if view.getPSControls()??>
<#assign allctrl = view.getPSControls()>
<#list allctrl as dashboard>
<#if dashboard.getControlType() == "DASHBOARD">
this.viewState.next({tag: '${dashboard.name?lower_case}', action: 'load', data: {}});
</#if>
</#list>
</#if>
</#assign>

<#assign self_content>
<#if view.getPSControls()??>
<#list view.getPSControls() as ctrl>
<#if ctrl.getControlType() == 'TITLEBAR'>

        /**
        * 应用功能集合
        *
        * @type {any[]}
        * @memberof ${srfclassname('${view.codeName}')}
        */
        public appFuncs: any[] = [
            <#if ctrl.getLeftPSAppMenu()??>
            <#assign  leftMenu=ctrl.getLeftPSAppMenu()/>
            <#list leftMenu.getPSAppFuncs() as appFuncs>
            {
                appfunctag: '${appFuncs.getCodeName()}',
                appfuncyype: '${appFuncs.getAppFuncType()}',
                <#if appFuncs.getAppFuncType() == 'APPVIEW'>
                <#assign appview = appFuncs.getPSAppView()/>
                pathname: '${appview.getPSAppModule().getCodeName()?lower_case}_${appview.getCodeName()?lower_case}',
                </#if>
            },
            </#list>
            </#if>
            <#if ctrl.getRightPSAppMenu()??>
            <#assign  rightMenu=ctrl.getRightPSAppMenu()/>
            <#list rightMenu.getPSAppFuncs() as appFuncs>
            {
                appfunctag: '${appFuncs.getCodeName()}',
                appfuncyype: '${appFuncs.getAppFuncType()}',
                <#if appFuncs.getAppFuncType() == 'APPVIEW'>
                <#assign appview = appFuncs.getPSAppView()/>
                pathname: '${appview.getPSAppModule().getCodeName()?lower_case}_${appview.getCodeName()?lower_case}',
                </#if>
            },
            </#list>
            </#if> 
        ];

        /**
         * 应用功能集合
         *
         * @memberof ${srfclassname('${view.codeName}')}
         */
        public  titleBarClick(value:any){
            if(value){
                if(this.appFuncs.length >0){
                let curSelectObj=this.appFuncs.filter((func:any) =>{
                    return func.appfunctag === value;
                })
                if(curSelectObj && curSelectObj.length >0 && curSelectObj[0].pathname){
                    this.$router.push({name:curSelectObj[0].pathname});
                }
            }
            }
        }
</#if>
</#list>
</#if>
</#assign>